gr::mapper::preamble_insert_bb_impl Class Reference

`#include <preamble_insert_bb_impl.h>`

Inheritance diagram for gr::mapper::preamble_insert_bb_impl:
[legend]

## Public Member Functions

| preamble_insert_bb_impl (int width, const std::vector< unsigned char > &preamble)
| ~preamble_insert_bb_impl ()
void | rewind ()
void | set_width (int nw)
void | set_preamble (const std::vector< unsigned char > &np)
void | do_update ()
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::mapper::preamble_insert_bb
typedef boost::shared_ptr< preamble_insert_bb > | sptr
Static Public Member Functions inherited from gr::mapper::preamble_insert_bb
static sptr | make (int width, const std::vector< unsigned char > &preamble)

## Constructor & Destructor Documentation

## preamble_insert_bb_impl()

gr::mapper::preamble_insert_bb_impl::preamble_insert_bb_impl | ( | int | width,
|  | const std::vector< unsigned char > & | preamble
| ) |  |

## ~preamble_insert_bb_impl()

gr::mapper::preamble_insert_bb_impl::~preamble_insert_bb_impl | ( |  | ) |

## Member Function Documentation

## do_update()

void gr::mapper::preamble_insert_bb_impl::do_update | ( |  | ) |

inline

## general_work()

int gr::mapper::preamble_insert_bb_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## rewind()

void gr::mapper::preamble_insert_bb_impl::rewind | ( |  | ) |

inline virtual

Implements gr::mapper::preamble_insert_bb.

Referenced by set_preamble().

## set_preamble()

void gr::mapper::preamble_insert_bb_impl::set_preamble | ( | const std::vector< unsigned char > & | np | ) |

inline virtual

Implements gr::mapper::preamble_insert_bb.

References rewind().

## set_width()

void gr::mapper::preamble_insert_bb_impl::set_width | ( | int | nw | ) |

inline virtual

Implements gr::mapper::preamble_insert_bb.

The documentation for this class was generated from the following file:

- preamble_insert_bb_impl.h